function init()
	-- NAME & GRAPHIC --
	c.name = "Lamjet2"
	c.displayName = "Lamjet Mk II"
	c.gfxFile = "lamjet3.png"

	-- STATS --
	c.mass = 70
	c.stat.strafe = .3
	c.stat.thrust = 1
	c.stat.maxSpeed = 310
	c.stat.turnRate = 180
	c.stat.armour = 20
	c.stat.barrier = 6
	--c.stat.juice = 6.5
	c.class = "frigate"

	-- TILES & POWER SLOTS --
	c.load_cshape("ship_lamjet2.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	--c.desc = "The Lamjet is a flexible craft, capable of taking on many roles."
	c.behavior = "circleandshoot"
	c.unlockable = 1
	c.cost = 1200
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 1	--from map_icons.png, which frame to use.
	return 0
end